Subject: Re: [PATCH 2/2] git-compat-util: use gettimeofday for current time

From: Taylor Blau <[email-masked]>
Date: Mon, 20 Mar 2023 16:35:09 -0400

On Mon, Mar 20, 2023 at 09:33:01AM -0700, Junio C Hamano wrote:
> Yeah, this is interesting.

Definitely so. You learn something new every day ;-).

> I however wonder if we should follow our usual pattern of implementing
> git_time() with the identical function signature as what we replace
> (i.e. system's time()), and #undef/#define the symbol we replace with
> git_time, though.  Wouldn't it make [1/2] a lot smaller and
> future-proof?

Yeah, I agree here, too. It was my first thought when I started reading
Paul's patches here. I think that your approach is sound and I would be
happy to see you queue it.

Thanks,
Taylor